from kuro.config import Config as GeneralConfig


class Config(GeneralConfig):
    """
    Kuro QTile configuration overrides for Aria
    """
    config_name = "Aria"

    # Default Applications
    app_terminal = "terminator"
    app_launcher = "/home/kevin/bin/dmenu_wal.sh"
    cmd_brightness_up = "true"
    cmd_brightness_down = "true"
    cmd_screenshot = "xfce4-screenshooter -r -c -d 1"
    cmd_alt_screenshot = "xfce4-screenshooter -w -c -d 0"
    lock_command = "bash /home/kevin/bin/lock.sh"
    cliphistory_command = "true"

    # Autostart applications
    apps_autostart_group = [
        {'group': "", 'command': ["firefox"]},
        {'group': "", 'command': ["terminator"]},
        {'group': "", 'command': ["/usr/bin/rambox"]},
        {'group': "", 'command': ["thunar"]},
        {'group': "", 'command': ["thunderbird"]},
        {'group': "", 'command': ["spotify"]},
    ]

    # Thermal indicator variables
    thermal_sensor = "Package id 0"
    thermal_chip = "coretemp-isa-0000"

    # Network variables
    wifi_interface = "wifi0"
    wired_interface = "enp7s0"

    # Volume widget variables
    volume_pulse_sinks = [
        "alsa_output.pci-0000_00_1f.3.analog-stereo",
    ]

    # Screen organization
    laptop_screen_nvidia = "eDP-1-1"
    laptop_screen_intel = "eDP1"
