from kuro.config import Config as GeneralConfig


class Config(GeneralConfig):
    """
    Kuro QTile configuration overrides for Violet
    """
    config_name = "Violet"

    # Thermal indicator variables
    thermal_sensor = "Tdie"
    thermal_chip = "zenpower-pci-00c3"

    # Network variables
    wifi_interface = None
    wired_interface = "br1"

    # Volume widget variables
    volume_pulse_sinks = [
        # Behringer USB mixer
        "alsa_output.usb-Burr-Brown_from_TI_USB_Audio_CODEC-00.analog-stereo-output",
        # Motherboard output (Starship/Matisse)
        "alsa_output.pci-0000_0e_00.4.iec958-stereo",
        # PCIe card output (CMI8738/CMI8768 PCI Audio)
        "alsa_output.pci-0000_08_00.0.analog-stereo",
    ]
